<?php
use App\Database\Migrations\TenantMigration;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends TenantMigration
{
        /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('records_rows', function (Blueprint $table) {
            $table->decimal('prediscount_amount', 10, 2)->nullable()->after('sconto');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('records_rows', function (Blueprint $table) {
            $table->dropColumn('prediscount_amount');
        });
    }
};
